org.modeshape.sequencer.ddl.dialect.teiid

## Enum TeiidDdlConstants.TeiidReservedWord

- java.lang.Object
- - java.lang.Enum<TeiidDdlConstants.TeiidReservedWord>
  - - org.modeshape.sequencer.ddl.dialect.teiid.TeiidDdlConstants.TeiidReservedWord

- All Implemented Interfaces:
    Serializable, Comparable<TeiidDdlConstants.TeiidReservedWord>, TeiidDdlConstants.DdlElement
  Enclosing interface:
    TeiidDdlConstants

      public static enum TeiidDdlConstants.TeiidReservedWord
      extends Enum<TeiidDdlConstants.TeiidReservedWord>
      implements TeiidDdlConstants.DdlElement

  Teiid reserved words.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADD`
    `ALL`
    `ALLOCATE`
    `ALTER`
    `AND`
    `ANY`
    `ARRAY_AGG`
    `AS`
    `ASC`
    `ATOMIC`
    `BEGIN`
    `BETWEEN`
    `BOTH`
    `BREAK`
    `BY`
    `CALL`
    `CASE`
    `COLUMN`
    `CONSTRAINT`
    `CONTINUE`
    `CREATE`
    `CROSS`
    `DAY`
    `DECLARE`
    `DEFAULT`
    `DELETE`
    `DESC`
    `DISTINCT`
    `DROP`
    `EACH`
    `ELSE`
    `END`
    `ERROR`
    `ESCAPE`
    `EXCEPT`
    `EXEC`
    `EXECUTE`
    `EXISTS`
    `FALSE`
    `FETCH`
    `FILTER`
    `FOR`
    `FOREIGN`
    `FROM`
    `FULL`
    `FUNCTION`
    `GROUP`
    `HAVING`
    `HOUR`
    `IF`
    `IMMEDIATE`
    `IN`
    `INNER`
    `INOUT`
    `INSERT`
    `INTERSECT`
    `INTO`
    `IS`
    `JOIN`
    `LANGUAGE`
    `LATERAL`
    `LEADING`
    `LEAVE`
    `LEFT`
    `LIKE`
    `LIKE_REGEX`
    `LIMIT`
    `LOCAL`
    `LOOP`
    `MAKEDEP`
    `MAKENOTDEP`
    `MERGE`
    `MINUTE`
    `MONTH`
    `NO`
    `NOCACHE`
    `NOT`
    `NULL`
    `OF`
    `OFFSET`
    `ON`
    `ONLY`
    `OPTION`
    `OPTIONS`
    `OR`
    `ORDER`
    `OUT`
    `OUTER`
    `OVER`
    `PARAMETER`
    `PARTITION`
    `PREPARE`
    `PRIMARY`
    `PROCEDURE`
    `REFERENCES`
    `RETURN`
    `RETURNS`
    `RIGHT`
    `ROLLUP`
    `ROW`
    `ROWS`
    `SECOND`
    `SELECT`
    `SET`
    `SIMILAR`
    `SOME`
    `SQLEXCEPTION`
    `SQLSTATE`
    `SQLWARNING`
    `TABLE`
    `TEMPORARY`
    `THEN`
    `TO`
    `TRAILING`
    `TRANSLATE`
    `TRIGGER`
    `TRUE`
    `UNION`
    `UNIQUE`
    `UNKNOWN`
    `UPDATE`
    `USER`
    `USING`
    `VALUES`
    `VIRTUAL`
    `WHEN`
    `WHERE`
    `WHILE`
    `WITH`
    `WITHOUT`
    `XMLAGG`
    `XMLATTRIBUTES`
    `XMLCOMMENT`
    `XMLCONCAT`
    `XMLELEMENT`
    `XMLFOREST`
    `XMLNAMESPACES`
    `XMLPARSE`
    `XMLPI`
    `XMLQUERY`
    `XMLSERIALIZE`
    `XMLTABLE`
    `YEAR`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static List<String>` | `asList()`
    `String` | `toDdl()`
    `static TeiidDdlConstants.TeiidReservedWord` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TeiidDdlConstants.TeiidReservedWord[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADD

          public static final TeiidDdlConstants.TeiidReservedWord ADD

    - #### ALL

          public static final TeiidDdlConstants.TeiidReservedWord ALL

    - #### ALLOCATE

          public static final TeiidDdlConstants.TeiidReservedWord ALLOCATE

    - #### ALTER

          public static final TeiidDdlConstants.TeiidReservedWord ALTER

    - #### AND

          public static final TeiidDdlConstants.TeiidReservedWord AND

    - #### ANY

          public static final TeiidDdlConstants.TeiidReservedWord ANY

    - #### ARRAY_AGG

          public static final TeiidDdlConstants.TeiidReservedWord ARRAY_AGG

    - #### AS

          public static final TeiidDdlConstants.TeiidReservedWord AS

    - #### ASC

          public static final TeiidDdlConstants.TeiidReservedWord ASC

    - #### ATOMIC

          public static final TeiidDdlConstants.TeiidReservedWord ATOMIC

    - #### BEGIN

          public static final TeiidDdlConstants.TeiidReservedWord BEGIN

    - #### BETWEEN

          public static final TeiidDdlConstants.TeiidReservedWord BETWEEN

    - #### BOTH

          public static final TeiidDdlConstants.TeiidReservedWord BOTH

    - #### BREAK

          public static final TeiidDdlConstants.TeiidReservedWord BREAK

    - #### BY

          public static final TeiidDdlConstants.TeiidReservedWord BY

    - #### CALL

          public static final TeiidDdlConstants.TeiidReservedWord CALL

    - #### CASE

          public static final TeiidDdlConstants.TeiidReservedWord CASE

    - #### COLUMN

          public static final TeiidDdlConstants.TeiidReservedWord COLUMN

    - #### CONSTRAINT

          public static final TeiidDdlConstants.TeiidReservedWord CONSTRAINT

    - #### CONTINUE

          public static final TeiidDdlConstants.TeiidReservedWord CONTINUE

    - #### CREATE

          public static final TeiidDdlConstants.TeiidReservedWord CREATE

    - #### CROSS

          public static final TeiidDdlConstants.TeiidReservedWord CROSS

    - #### DAY

          public static final TeiidDdlConstants.TeiidReservedWord DAY

    - #### DECLARE

          public static final TeiidDdlConstants.TeiidReservedWord DECLARE

    - #### DEFAULT

          public static final TeiidDdlConstants.TeiidReservedWord DEFAULT

    - #### DELETE

          public static final TeiidDdlConstants.TeiidReservedWord DELETE

    - #### DESC

          public static final TeiidDdlConstants.TeiidReservedWord DESC

    - #### DISTINCT

          public static final TeiidDdlConstants.TeiidReservedWord DISTINCT

    - #### DROP

          public static final TeiidDdlConstants.TeiidReservedWord DROP

    - #### EACH

          public static final TeiidDdlConstants.TeiidReservedWord EACH

    - #### ELSE

          public static final TeiidDdlConstants.TeiidReservedWord ELSE

    - #### END

          public static final TeiidDdlConstants.TeiidReservedWord END

    - #### ERROR

          public static final TeiidDdlConstants.TeiidReservedWord ERROR

    - #### ESCAPE

          public static final TeiidDdlConstants.TeiidReservedWord ESCAPE

    - #### EXCEPT

          public static final TeiidDdlConstants.TeiidReservedWord EXCEPT

    - #### EXEC

          public static final TeiidDdlConstants.TeiidReservedWord EXEC

    - #### EXECUTE

          public static final TeiidDdlConstants.TeiidReservedWord EXECUTE

    - #### EXISTS

          public static final TeiidDdlConstants.TeiidReservedWord EXISTS

    - #### FALSE

          public static final TeiidDdlConstants.TeiidReservedWord FALSE

    - #### FETCH

          public static final TeiidDdlConstants.TeiidReservedWord FETCH

    - #### FILTER

          public static final TeiidDdlConstants.TeiidReservedWord FILTER

    - #### FOR

          public static final TeiidDdlConstants.TeiidReservedWord FOR

    - #### FOREIGN

          public static final TeiidDdlConstants.TeiidReservedWord FOREIGN

    - #### FROM

          public static final TeiidDdlConstants.TeiidReservedWord FROM

    - #### FULL

          public static final TeiidDdlConstants.TeiidReservedWord FULL

    - #### FUNCTION

          public static final TeiidDdlConstants.TeiidReservedWord FUNCTION

    - #### GROUP

          public static final TeiidDdlConstants.TeiidReservedWord GROUP

    - #### HAVING

          public static final TeiidDdlConstants.TeiidReservedWord HAVING

    - #### HOUR

          public static final TeiidDdlConstants.TeiidReservedWord HOUR

    - #### IF

          public static final TeiidDdlConstants.TeiidReservedWord IF

    - #### IMMEDIATE

          public static final TeiidDdlConstants.TeiidReservedWord IMMEDIATE

    - #### IN

          public static final TeiidDdlConstants.TeiidReservedWord IN

    - #### INNER

          public static final TeiidDdlConstants.TeiidReservedWord INNER

    - #### INOUT

          public static final TeiidDdlConstants.TeiidReservedWord INOUT

    - #### INSERT

          public static final TeiidDdlConstants.TeiidReservedWord INSERT

    - #### INTERSECT

          public static final TeiidDdlConstants.TeiidReservedWord INTERSECT

    - #### INTO

          public static final TeiidDdlConstants.TeiidReservedWord INTO

    - #### IS

          public static final TeiidDdlConstants.TeiidReservedWord IS

    - #### JOIN

          public static final TeiidDdlConstants.TeiidReservedWord JOIN

    - #### LANGUAGE

          public static final TeiidDdlConstants.TeiidReservedWord LANGUAGE

    - #### LATERAL

          public static final TeiidDdlConstants.TeiidReservedWord LATERAL

    - #### LEADING

          public static final TeiidDdlConstants.TeiidReservedWord LEADING

    - #### LEAVE

          public static final TeiidDdlConstants.TeiidReservedWord LEAVE

    - #### LEFT

          public static final TeiidDdlConstants.TeiidReservedWord LEFT

    - #### LIKE

          public static final TeiidDdlConstants.TeiidReservedWord LIKE

    - #### LIKE_REGEX

          public static final TeiidDdlConstants.TeiidReservedWord LIKE_REGEX

    - #### LIMIT

          public static final TeiidDdlConstants.TeiidReservedWord LIMIT

    - #### LOCAL

          public static final TeiidDdlConstants.TeiidReservedWord LOCAL

    - #### LOOP

          public static final TeiidDdlConstants.TeiidReservedWord LOOP

    - #### MAKEDEP

          public static final TeiidDdlConstants.TeiidReservedWord MAKEDEP

    - #### MAKENOTDEP

          public static final TeiidDdlConstants.TeiidReservedWord MAKENOTDEP

    - #### MERGE

          public static final TeiidDdlConstants.TeiidReservedWord MERGE

    - #### MINUTE

          public static final TeiidDdlConstants.TeiidReservedWord MINUTE

    - #### MONTH

          public static final TeiidDdlConstants.TeiidReservedWord MONTH

    - #### NO

          public static final TeiidDdlConstants.TeiidReservedWord NO

    - #### NOCACHE

          public static final TeiidDdlConstants.TeiidReservedWord NOCACHE

    - #### NOT

          public static final TeiidDdlConstants.TeiidReservedWord NOT

    - #### NULL

          public static final TeiidDdlConstants.TeiidReservedWord NULL

    - #### OF

          public static final TeiidDdlConstants.TeiidReservedWord OF

    - #### OFFSET

          public static final TeiidDdlConstants.TeiidReservedWord OFFSET

    - #### ON

          public static final TeiidDdlConstants.TeiidReservedWord ON

    - #### ONLY

          public static final TeiidDdlConstants.TeiidReservedWord ONLY

    - #### OPTION

          public static final TeiidDdlConstants.TeiidReservedWord OPTION

    - #### OPTIONS

          public static final TeiidDdlConstants.TeiidReservedWord OPTIONS

    - #### OR

          public static final TeiidDdlConstants.TeiidReservedWord OR

    - #### ORDER

          public static final TeiidDdlConstants.TeiidReservedWord ORDER

    - #### OUT

          public static final TeiidDdlConstants.TeiidReservedWord OUT

    - #### OUTER

          public static final TeiidDdlConstants.TeiidReservedWord OUTER

    - #### OVER

          public static final TeiidDdlConstants.TeiidReservedWord OVER

    - #### PARAMETER

          public static final TeiidDdlConstants.TeiidReservedWord PARAMETER

    - #### PARTITION

          public static final TeiidDdlConstants.TeiidReservedWord PARTITION

    - #### PREPARE

          public static final TeiidDdlConstants.TeiidReservedWord PREPARE

    - #### PRIMARY

          public static final TeiidDdlConstants.TeiidReservedWord PRIMARY

    - #### PROCEDURE

          public static final TeiidDdlConstants.TeiidReservedWord PROCEDURE

    - #### REFERENCES

          public static final TeiidDdlConstants.TeiidReservedWord REFERENCES

    - #### RETURN

          public static final TeiidDdlConstants.TeiidReservedWord RETURN

    - #### RETURNS

          public static final TeiidDdlConstants.TeiidReservedWord RETURNS

    - #### RIGHT

          public static final TeiidDdlConstants.TeiidReservedWord RIGHT

    - #### ROLLUP

          public static final TeiidDdlConstants.TeiidReservedWord ROLLUP

    - #### ROW

          public static final TeiidDdlConstants.TeiidReservedWord ROW

    - #### ROWS

          public static final TeiidDdlConstants.TeiidReservedWord ROWS

    - #### SECOND

          public static final TeiidDdlConstants.TeiidReservedWord SECOND

    - #### SELECT

          public static final TeiidDdlConstants.TeiidReservedWord SELECT

    - #### SET

          public static final TeiidDdlConstants.TeiidReservedWord SET

    - #### SIMILAR

          public static final TeiidDdlConstants.TeiidReservedWord SIMILAR

    - #### SOME

          public static final TeiidDdlConstants.TeiidReservedWord SOME

    - #### SQLEXCEPTION

          public static final TeiidDdlConstants.TeiidReservedWord SQLEXCEPTION

    - #### SQLSTATE

          public static final TeiidDdlConstants.TeiidReservedWord SQLSTATE

    - #### SQLWARNING

          public static final TeiidDdlConstants.TeiidReservedWord SQLWARNING

    - #### TABLE

          public static final TeiidDdlConstants.TeiidReservedWord TABLE

    - #### TEMPORARY

          public static final TeiidDdlConstants.TeiidReservedWord TEMPORARY

    - #### THEN

          public static final TeiidDdlConstants.TeiidReservedWord THEN

    - #### TO

          public static final TeiidDdlConstants.TeiidReservedWord TO

    - #### TRAILING

          public static final TeiidDdlConstants.TeiidReservedWord TRAILING

    - #### TRANSLATE

          public static final TeiidDdlConstants.TeiidReservedWord TRANSLATE

    - #### TRIGGER

          public static final TeiidDdlConstants.TeiidReservedWord TRIGGER

    - #### TRUE

          public static final TeiidDdlConstants.TeiidReservedWord TRUE

    - #### UNION

          public static final TeiidDdlConstants.TeiidReservedWord UNION

    - #### UNIQUE

          public static final TeiidDdlConstants.TeiidReservedWord UNIQUE

    - #### UNKNOWN

          public static final TeiidDdlConstants.TeiidReservedWord UNKNOWN

    - #### UPDATE

          public static final TeiidDdlConstants.TeiidReservedWord UPDATE

    - #### USER

          public static final TeiidDdlConstants.TeiidReservedWord USER

    - #### USING

          public static final TeiidDdlConstants.TeiidReservedWord USING

    - #### VALUES

          public static final TeiidDdlConstants.TeiidReservedWord VALUES

    - #### VIRTUAL

          public static final TeiidDdlConstants.TeiidReservedWord VIRTUAL

    - #### WHEN

          public static final TeiidDdlConstants.TeiidReservedWord WHEN

    - #### WHERE

          public static final TeiidDdlConstants.TeiidReservedWord WHERE

    - #### WHILE

          public static final TeiidDdlConstants.TeiidReservedWord WHILE

    - #### WITH

          public static final TeiidDdlConstants.TeiidReservedWord WITH

    - #### WITHOUT

          public static final TeiidDdlConstants.TeiidReservedWord WITHOUT

    - #### XMLAGG

          public static final TeiidDdlConstants.TeiidReservedWord XMLAGG

    - #### XMLATTRIBUTES

          public static final TeiidDdlConstants.TeiidReservedWord XMLATTRIBUTES

    - #### XMLCOMMENT

          public static final TeiidDdlConstants.TeiidReservedWord XMLCOMMENT

    - #### XMLCONCAT

          public static final TeiidDdlConstants.TeiidReservedWord XMLCONCAT

    - #### XMLELEMENT

          public static final TeiidDdlConstants.TeiidReservedWord XMLELEMENT

    - #### XMLFOREST

          public static final TeiidDdlConstants.TeiidReservedWord XMLFOREST

    - #### XMLNAMESPACES

          public static final TeiidDdlConstants.TeiidReservedWord XMLNAMESPACES

    - #### XMLPARSE

          public static final TeiidDdlConstants.TeiidReservedWord XMLPARSE

    - #### XMLPI

          public static final TeiidDdlConstants.TeiidReservedWord XMLPI

    - #### XMLQUERY

          public static final TeiidDdlConstants.TeiidReservedWord XMLQUERY

    - #### XMLSERIALIZE

          public static final TeiidDdlConstants.TeiidReservedWord XMLSERIALIZE

    - #### XMLTABLE

          public static final TeiidDdlConstants.TeiidReservedWord XMLTABLE

    - #### YEAR

          public static final TeiidDdlConstants.TeiidReservedWord YEAR

  - ### Method Detail

    - #### values

          public static TeiidDdlConstants.TeiidReservedWord[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TeiidDdlConstants.TeiidReservedWord c : TeiidDdlConstants.TeiidReservedWord.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TeiidDdlConstants.TeiidReservedWord valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### asList

          public static List<String> asList()

    - #### toDdl

          public String toDdl()

      Specified by:
        `toDdl` in interface `TeiidDdlConstants.DdlElement`
      Returns:
        the DDL string representation (never `null` or empty)
      See Also:
        `TeiidDdlConstants.DdlElement.toDdl()`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.